### File

`packages/components/eui-card/components/eui-card-media/eui-card-media.component.ts`

### Description

The eui-card-header-body component projects the body for eui-card-header.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-card-media`
imports | `NgTemplateOutlet` `RouterLink`
templateUrl | `./eui-card-media.component.html`
styleUrl | `./eui-card-media.scss`

### Index

###### Properties
string
###### Inputs
imageClickUrl imageClickUrlExternal imageDescription imageHeight imageLegend imageUrl
###### HostBindings
class

### Inputs

imageClickUrl
Type : `string`
Option to set an internal link Url (routerLink).

imageClickUrlExternal
Type : `string`
Option to set an external link Url (href).

imageDescription
Type : `string`
Default value : `'eUI Card Image'`
Option to specify an image description.

imageHeight
Type : `string`
Default value : `'auto'`
Option to specify the image height.

imageLegend
Type : `string`
The image legend to display in the card.

imageUrl
Type : `string`
The image URL to display in the card.

### HostBindings

class
Type : `string`
Default value : `'eui-card-media'`
Binds the class to the component.

### Properties

string
Type : `string`
Default value : `'eui-card-media'`
Decorators : `@HostBinding('class')`
Binds the class to the component.

# results matching ""

# No results matching ""